=== debian/control ===
Source: ros-noetic-qb-device-hardware-interface
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-control-msgs, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-qb-device-msgs, ros-noetic-qb-device-srvs, ros-noetic-roscpp, ros-noetic-rostest, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: http://wiki.ros.org/qb_device_hardware_interface
Standards-Version: 3.9.2

Package: ros-noetic-qb-device-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-control-msgs, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-qb-device-msgs, ros-noetic-qb-device-srvs, ros-noetic-roscpp, ros-noetic-transmission-interface, ros-noetic-urdf
Description: This package contains a device-independent hardware interface for qbrobotics® devices.
