=== debian/changelog ===
ros-noetic-qb-device-hardware-interface (3.1.0-1focal) focal; urgency=high



 -- qb Support Team <support@qbrobotics.com>  Tue, 25 Jul 2023 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.6-1focal) focal; urgency=high

  * FEAT: Added compatibility with new FW version of SHR
  * MINOR FIX: Changed the name of the package maintainer

 -- qb Support Team <support@qbrobotics.com>  Tue, 25 Apr 2023 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.5-1focal) focal; urgency=high

  * MINOR FIX: Changed cmake version required in all packages (current version 3.0.2).
  * FIX: Added control_msgs dependecy in qb_device_hardware_interface pkg. This cause error during release phase.
  * Bug fixed when executing the waypoint movement and different controller with different number of controller joints are loaded.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 06 Sep 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.4-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.3-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.2-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 06 Jul 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.1-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 05 Jul 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (3.0.0-1focal) focal; urgency=high

  * New API migration. qb_device_driver class is no longer required.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 04 Jul 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.3.4-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.3.3-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.3.2-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.3.1-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.3.0-1focal) focal; urgency=high

  * BUG FIX when a generic qbrobotics device roslaunch is grouped in a namespace

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Apr 2022 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.2.1-1focal) focal; urgency=high

  * Fix qbhand movement at startup
  * Fix qb SoftHands startup

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.2.0-1focal) focal; urgency=high

  * Replaced error stream with throttle
  * Add controller startup sync to avoid hardcoded wait
  * Refactor control structures initialization
  * Pass command_old value in PositionJointSaturationHandle constructor
  * Set out-of-range warning with _TRHOTTLE mode
  * Add methods to retrieve actual device references
  * Set a better name for fake joint simulation variables
  * Added the control mode switch service. Added a parameter to choose to use .yaml limits or firmware ones.
  * Update license

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 26 Aug 2021 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.1.1-1focal) focal; urgency=high

  * Fix initial command and velocity limit for qbmoves

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.1.0-1focal) focal; urgency=high

  * Add comments for future changes
  * Add a simulator mode to debug joint trajectories
  * Fix minor style issues
  * Fix position limits initialization
  * Fix minor style issues

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 27 May 2019 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.0.3-1focal) focal; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 08 Aug 2018 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.0.2-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 06 Aug 2018 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.0.1-1focal) focal; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 31 May 2018 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (2.0.0-1focal) focal; urgency=high

  * Add device configuration to the state topic info
  * Fix recovery on service server fault
  * Refactor node registration
  * Fix accidental repetitions with namespace prefix
  * Refactor initialization by extending the base init
  * Add method to get currents and positions together
  * Fix repetitions reliablity check
  * Add a blocking setCommands method
  * Refactor launch files and fix controllers spawner
  * Fix minors
  * Let the user decide whether to read/write or not
  * Refactor node registration
  * Add repetitions while reading from serial

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 29 May 2018 22:00:00 -0000

ros-noetic-qb-device-hardware-interface (1.2.2-1focal) focal; urgency=high

  * Fix possible fault on registration
  * Refactor service clients management

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 29 Nov 2017 23:00:00 -0000

ros-noetic-qb-device-hardware-interface (1.1.0-1focal) focal; urgency=high

  * Add notes for the future

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 23 Nov 2017 23:00:00 -0000

ros-noetic-qb-device-hardware-interface (1.0.8-1focal) focal; urgency=high


